import java.io.BufferedInputStream;
import java.io.DataInputStream;
import java.io.EOFException;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;

public class Class225_Sub48 extends Class225 {

   int[] anIntArray8850;
   int anInt8851;
   public static final int anInt8852 = 2;
   public static final int anInt8853 = 3;
   public static final int anInt8854 = 5;
   static final int anInt8855 = 6;
   public static final int anInt8856 = 10;
   public static final int anInt8857 = 8;
   public static final int anInt8858 = 1;
   public static final int anInt8859 = 0;
   int anInt8860;
   int[] anIntArray8861;
   public static final int anInt8862 = 9;
   int[][] anIntArrayArray8863;
   public static final int anInt8864 = 7;
   boolean[] aBoolArray8865;


   Class225_Sub48(int var1, byte[] var2) {
      this.anInt8860 = var1 * -381669905;
      RS2Buffer var3 = new RS2Buffer(var2);
      this.anInt8851 = var3.readUnsignedShort(-937710807) * 161196039;
      this.anIntArray8861 = new int[-255375945 * this.anInt8851];
      this.anIntArrayArray8863 = new int[-255375945 * this.anInt8851][];
      this.aBoolArray8865 = new boolean[this.anInt8851 * -255375945];
      this.anIntArray8850 = new int[this.anInt8851 * -255375945];

      int var4;
      for(var4 = 0; var4 < this.anInt8851 * -255375945; ++var4) {
         this.anIntArray8861[var4] = var3.readUnsignedByte(-700559597);
         if(this.anIntArray8861[var4] == 6) {
            this.anIntArray8861[var4] = 2;
         }
      }

      for(var4 = 0; var4 < this.anInt8851 * -255375945; ++var4) {
         this.aBoolArray8865[var4] = var3.readUnsignedByte(-700559597) == 1;
      }

      for(var4 = 0; var4 < -255375945 * this.anInt8851; ++var4) {
         this.anIntArray8850[var4] = var3.readUnsignedShort(-937710807);
      }

      for(var4 = 0; var4 < this.anInt8851 * -255375945; ++var4) {
         this.anIntArrayArray8863[var4] = new int[var3.readSmart(215875315)];
      }

      for(var4 = 0; var4 < this.anInt8851 * -255375945; ++var4) {
         for(int var5 = 0; var5 < this.anIntArrayArray8863[var4].length; ++var5) {
            this.anIntArrayArray8863[var4][var5] = var3.readSmart(611002493);
         }
      }

   }

   static void method14229(File var0, byte[] var1, int var2, byte var3) throws IOException {
      DataInputStream var4 = new DataInputStream(new BufferedInputStream(new FileInputStream(var0)));

      try {
         var4.readFully(var1, 0, var2);
      } catch (EOFException var6) {
         ;
      }

      var4.close();
   }

   static final void method14230(Class508 var0, int var1) {
      var0.anInt6003 -= 196624946;
      int var2 = var0.anIntArray6027[-937710807 * var0.anInt6003];
      int var3 = var0.anIntArray6027[var0.anInt6003 * -937710807 + 1];
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = Class304.aClass243_3879.method4370(var2, (short)-26860).aCharArray10567[var3];
   }
}
